Subject: Different svn-id URLs in history

From: Knut Eldhuset <[email-masked]>
Date: Tue, 07 Oct 2008 12:58:41 +0200

Hi,

After cloning my svn repository, I notice that the svn-id URL is 
different when going back in history:

git-svn-id: https://server/trunk@300

vs

git-svn-id: https://server/trunk/some_folder/project/src@250

If i checkout the first version, I get a working copy that has the 
folder "some_folder" in it. If I checkout the latter version, I get a 
working copy with the contents of the folder "src". Why is this? I 
thought I always was supposed to get a wc with the whole tree.

Regards,
Knut Eldhuset